changeset 876:549bdf42bf7d

repo maintenance
author thomask
date Thu, 02 Mar 2006 08:14:44 +0000
parents a6d3a59e2356
children 6d54a506f35e
files reporter.txt undefined/default_argument_11_A.d undefined/default_argument_11_B.d undefined/default_argument_11_C.d update.sh
diffstat 5 files changed, 158 insertions(+), 6 deletions(-) [+]
line wrap: on
line diff
--- a/reporter.txt	Thu Mar 02 08:14:35 2006 +0000
+++ b/reporter.txt	Thu Mar 02 08:14:44 2006 +0000
@@ -1,4 +1,4 @@
-Thanks to all the bug reporters and for the test case suggestions.
+Thanks for all the bug reports and test case suggestions:
 
 ahiru			<ahiru@1dk.jp>
 AJG			<AJG@nospam.com>
@@ -8,6 +8,7 @@
 Andy Friesen		<andy@ikagames.com>
 Ant			<duitoolkit@yahoo.ca>
 Arcane Jill
+Artem Rebrov		<ar_other@mail.ru>
 Bastiaan Veelo		<Bastiaan.N.Veelo@ntnu.no>
 BCS
 Ben Hinkle		<ben.hinkle@gmail.com>, <bhinkle4@juno.com>, <bhinkle@mathworks.com>
@@ -22,6 +23,8 @@
 Burton Radons		<burton-radons@shaw.ca>, <burton-radons@smocky.com>
 Carlos Santander B.	<carlos8294@msn.com>, <csantander619@gmail.com>
 Charlie
+Chris Miller		<chris@dprogramming.com>
+Chris Newton		<redshodan@dot.gmail.dot.dooot.com>
 Chris Sauls		<ibisbasenji@gmail.com>
 clayasaurus		<clayasaurus@gmail.com>
 D Trebbien
@@ -29,8 +32,9 @@
 Dave
 David Friedman		<d3rdclsmail_a_@_t_earthlink_d_._t_net>
 David L. Davis		<SpottedTiger@yahoo.com>
-David Medlock		<amedlock@nospam.org>
+David Medlock		<amedlock@nospam.org>, <noone@nowhere.com>
 Deewiant		<deewiant.doesnotlike.spam@gmail.com>
+dennis luehring		<dl.soluz@gmx.net>
 Derek Parnell
 dickl			<dick221z@yahoo.com>
 Don Clugston
@@ -54,6 +58,7 @@
 John C			<johnch_atms@hotmail.com>
 John Demme		<me@teqdruid.com>
 John Reimer		<brk_6502@NO_SPA_M.yahoo.com>
+Johan Granberg		<lijat.meREM@VEgmail.com>
 k2
 kenny			<funisher@gmail.com>
 Kevin Bealer
@@ -68,6 +73,7 @@
 Manfred Nowak		<svv1999@hotmail.com>
 marko			<tm030127d@galeb.etf.bg.ac.yu>
 Michael Butscher	<mbutscher@gmx.de>
+MicroWizard
 Miguel Ferreira Simões	<Kobold@netcabo.pt>
 Mike Parker		<aldacron71@yahoo.com>
 Mike Swieton		<mike@swieton.net>
@@ -85,6 +91,8 @@
 Regan Heath		<regan@netwin.co.nz>
 Rev
 Robert Atkinson		<Robert.Atkinson@gmail.com>
+Robert Schiele		<rschiele@uni-mannheim.de>
+Roberto Mariottini
 Roel Mathys		<roel.mathys@yucom.be>
 Russ Lewis		<spamhole-2001-07-16@deming-os.org>
 Russell Wilkins		<Russell.Wilkins@grovestarsoftware.com>, <rwilkins@grovestarsoftware.com>
@@ -110,7 +118,9 @@
 Victor Nakoryakov	<nail-mail@mail.ru>
 Walter			<newshound@digitalmars.com>
 xs0			<xs0@xs0.com>
+yama
 zwang			<nehzgnaw@gmail.com>
 
 			<derick_eddington@nospam.yahoo.nospam.com>
 			<jmjmak@utu.invalid.fi>
+			<fp@fpx.de>
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/undefined/default_argument_11_A.d	Thu Mar 02 08:14:44 2006 +0000
@@ -0,0 +1,23 @@
+// $HeadURL$
+// $Date$
+// $Author$
+
+// @author@	Unknown W. Brackets <unknown@simplemachines.org>
+// @date@	2006-02-19
+// @uri@	news:dtb7ee$gjq$1@digitaldaemon.com
+
+module dstress.undefined.default_argument_11_A;
+
+void test(inout int i = 5){
+	assert(i == 5);
+}
+
+int main(){
+	int i;
+	test(i);
+
+	assert(i == 5);
+
+	return 0;
+}
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/undefined/default_argument_11_B.d	Thu Mar 02 08:14:44 2006 +0000
@@ -0,0 +1,25 @@
+// $HeadURL$
+// $Date$
+// $Author$
+
+// @author@	Unknown W. Brackets <unknown@simplemachines.org>
+// @date@	2006-02-19
+// @uri@	news:dtb7ee$gjq$1@digitaldaemon.com
+
+module dstress.undefined.default_argument_11_B;
+
+int x;
+
+void test(inout int i = x){
+	assert(i == 5);
+}
+
+int main(){
+	int i;
+	test(i);
+
+	assert(i == 5);
+
+	return 0;
+}
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/undefined/default_argument_11_C.d	Thu Mar 02 08:14:44 2006 +0000
@@ -0,0 +1,25 @@
+// $HeadURL$
+// $Date$
+// $Author$
+
+// @author@	Unknown W. Brackets <unknown@simplemachines.org>
+// @date@	2006-02-19
+// @uri@	news:dtb7ee$gjq$1@digitaldaemon.com
+
+module dstress.undefined.default_argument_11_C;
+
+int x;
+
+void test(out int i = x){
+	assert(i == 5);
+}
+
+int main(){
+	int i;
+	test(i);
+
+	assert(i == 5);
+
+	return 0;
+}
+
--- a/update.sh	Thu Mar 02 08:14:35 2006 +0000
+++ b/update.sh	Thu Mar 02 08:14:44 2006 +0000
@@ -36,11 +36,80 @@
 	make distclean
 done
 
-rm -rf tmp2
-mkdir tmp2
-cp raw_results/linux-amd64*gz tmp2
+dmd log || exit 1
+
+rm -rf tmp2 || exit 1
+mkdir tmp2 || exit 1
+cp raw_results/linux-amd64*gz tmp2 || exit 1
 for LOG in `tree -if tmp2 | grep "gz$"`; do
 	gunzip $LOG
 done
 
-./log genReport . `tree -if tmp2 | grep "log$"`
+./log genReport . \
+	--./tmp2/linux-amd64_dmd-0.148.log \
+	./tmp2/linux-amd64_dmd-0.147.log \
+	./tmp2/linux-amd64_dmd-0.146.log \
+	./tmp2/linux-amd64_dmd-0.145.log \
+	./tmp2/linux-amd64_dmd-0.144.log \
+	./tmp2/linux-amd64_dmd-0.143.log \
+	./tmp2/linux-amd64_dmd-0.142.log \
+	./tmp2/linux-amd64_dmd-0.141.log \
+	--./tmp2/linux-amd64_gdc-0.17.log \
+	./tmp2/linux-amd64_dmd-0.140.log
+
+mv www/results.html www/results.short.html
+
+./log genReport . \
+	--./tmp2/linux-amd64_dmd-0.148.log \
+	--./tmp2/linux-amd64_dmd-0.147.log \
+	--./tmp2/linux-amd64_dmd-0.146.log \
+	--./tmp2/linux-amd64_dmd-0.145.log \
+	--./tmp2/linux-amd64_dmd-0.144.log \
+	--./tmp2/linux-amd64_dmd-0.143.log \
+	--./tmp2/linux-amd64_dmd-0.142.log \
+	--./tmp2/linux-amd64_dmd-0.141.log \
+	--./tmp2/linux-amd64_gdc-0.17.log \
+	--./tmp2/linux-amd64_dmd-0.140.log \
+	--./tmp2/linux-amd64_dmd-0.139.log \
+	--./tmp2/linux-amd64_dmd-0.138.log \
+	--./tmp2/linux-amd64_gdc-0.16.log \
+	--./tmp2/linux-amd64_dmd-0.137.log \
+	--./tmp2/linux-amd64_dmd-0.136.log \
+	--./tmp2/linux-amd64_dmd-0.135.log \
+	--./tmp2/linux-amd64_dmd-0.134.log \
+	--./tmp2/linux-amd64_dmd-0.133.log \
+	--./tmp2/linux-amd64_dmd-0.132.log \
+	--./tmp2/linux-amd64_dmd-0.131.log \
+	--./tmp2/linux-amd64_dmd-0.128.log \
+	--./tmp2/linux-amd64_dmd-0.127.log \
+	--./tmp2/linux-amd64_dmd-0.126.log \
+	--./tmp2/linux-amd64_dmd-0.125.log \
+	--./tmp2/linux-amd64_dmd-0.124.log \
+	--./tmp2/linux-amd64_dmd-0.123.log \
+	--./tmp2/linux-amd64_dmd-0.122.log \
+	--./tmp2/linux-amd64_dmd-0.121.log \
+	--./tmp2/linux-amd64_dmd-0.120.log \
+	--./tmp2/linux-amd64_dmd-0.119.log \
+	--./tmp2/linux-amd64_dmd-0.118.log \
+	--./tmp2/linux-amd64_dmd-0.117.log \
+	--./tmp2/linux-amd64_dmd-0.116.log \
+	--./tmp2/linux-amd64_dmd-0.114.log \
+	--./tmp2/linux-amd64_dmd-0.113.log \
+	--./tmp2/linux-amd64_dmd-0.111.log \
+	--./tmp2/linux-amd64_dmd-0.110.log \
+	--./tmp2/linux-amd64_dmd-0.109.log \
+	--./tmp2/linux-amd64_dmd-0.108.log \
+	--./tmp2/linux-amd64_dmd-0.106.log \
+	--./tmp2/linux-amd64_dmd-0.105.log \
+	--./tmp2/linux-amd64_dmd-0.104.log \
+	--./tmp2/linux-amd64_dmd-0.103.log \
+	--./tmp2/linux-amd64_dmd-0.102.log \
+	--./tmp2/linux-amd64_dmd-0.101.log \
+	--./tmp2/linux-amd64_dmd-0.100.log \
+	--./tmp2/linux-amd64_dmd-0.099.log \
+	--./tmp2/linux-amd64_dmd-0.098.log \
+	--./tmp2/linux-amd64_dmd-0.096.log \
+	--./tmp2/linux-amd64_dmd-0.095.log \
+	--./tmp2/linux-amd64_dmd-0.093.log
+
+rm -rf  tmp2